#
# Console.tcl
#

class Console {

  if { [^ info command sc_puts] == "sc_puts" } {
    import sc_puts;
  } else {
    rename puts sc_puts;
  }

  staticmethod message {str} {
    sc_puts "$str";
  }

  staticmethod warning {str} {
    sc_puts "*** WARNING ***: $str";
  }

  staticmethod error {str} {
    sc_puts "*** ERROR ***: $str";
  }
}
