#
# Expander.tcl
#
# 

package provide Expander 0.1;

class Expander {

  field interp;

  method init {} {
    set interp [interp create];
  }

  method finalize {} {
    interp delete $interp;
  }

  method bind {variable value} {
    $interp eval set $variable [list $value];
  }

  method expand {template} {
    $interp eval subst [list $template];
  }
}
