#
# Package.tcl
#

class Package {
  extends Element;

  method get_fqn {} {
    set name  [$self get_name];
    set pkg   [$self find_ancestor "Package"];
    while { $pkg != "" } {
      if { [$pkg is_kind_of "Model"] } break;
      set mname [$pkg get_name];
      set name "$mname.$name";
      set pkg [$pkg find_ancestor "Package"];
    }    
    return $name;
  }
}
