/**
 * Filters out the dummy variable old${Name} which occurs
 * in some calls to update${Name}
 * @param old$Name new$Name
 */
$static${visibility}void update${Name}($type old${Name}, $type new${Name}) {
  update${Name}(new${Name});
}\n

/**
 * Updates an object associated via $association
 * and notifies the other end of the association
 * @param new$Name
 */
$static${visibility}void update${Name}($type new${Name}) {
  if (new${Name} == null) {
    throw new NullPointerException("XXX");
  }
  if (new$Name != ${name}) {
    new${Name}.update${Name}(null, this);
    set${Name}(new${Name});
  }
}\n
