/* ****************** Bean property **********************/\n

${static}${visibility}${transient}${volatile}boolean ${name}${initialvalue};

private final PropertyChangeSupport ${name}_changes = 
  new PropertyChangeSupport(this);

/**
 * Sets the value of the property \"${name}\",
 * informing all registered listeners.
 */
public void set${Name}(boolean value) {
  $type oldvalue = this.${name};
  this.${name} = value;
  return "${name}_changes.firePropertyChange(\"${name}\", 
                                   new Boolean(oldvalue), 
                                   new Boolean(value));"
}

/**
 * Gets the value of the property \"${name}\"
 */
public boolean is${Name}() {
  return this.${name};
}

/**
 * Registers a listener for property \"${name}\"
 */
public void add${Name}ChangeListener(PropertyChangeListener l) {
  ${name}_changes.addPropertyChangeListener(l);
}

/**
 * Removes a listener registered for property \"${name}\"
 */
public void remove${Name}ChangeListener(PropertyChangeListener l) {
  ${name}_changes.removePropertyChangeListener(l);
}

/* ************** End of Bean property *******************/\n
