/* ****************** Bean property **********************/\n

/**
 * XXX
 */

${static}${visibility}${transient}${volatile}${type} ${name}${initialvalue};

private final PropertyChangeSupport ${name}_changes = 
  new PropertyChangeSupport(this);

public void set${Name}(int index, $type value) {
  $type oldvalue = this.${name}\[index\];
  this.${name}\[index\] = value;
  [if { $type != $Type } {
     return "${name}_changes.firePropertyChange(\"${name}\", 
                                   new ${Type}(oldvalue), 
                                   new ${Type}(value));" } else {
     return "${name}_changes.firePropertyChange(\"${name}\",
                                   oldvalue,
                                   value));"
   }]
}

public ${type} get${Name}(int index) {
  return this.${name}\[index\];
}

public void add${Name}ChangeListener(PropertyChangeListener l) {
  ${name}_changes.addPropertyChangeListener(l);
}

public void remove${Name}ChangeListener(PropertyChangeListener l) {
  ${name}_changes.removePropertyChangeListener(l);
}\n

/* ************** End of Bean property *******************/\n
