/* ****************** Bean property **********************/\n

${static}${visibility}${transient}${volatile}${type} ${name}${initialvalue};

private final PropertyChangeSupport ${name}_changes = 
  new PropertyChangeSupport(this);

/**
 * Sets the value of property \"${name}\",
 * informing all registered listeners.
 */
public void set${Name}($type value) {
  $type oldvalue = this.${name};
  this.${name} = value;
  [if { $type != $Type } {
     return "${name}_changes.firePropertyChange(\"${name}\", 
                                   new ${Type}(oldvalue), 
                                   new ${Type}(value));" } else {
     return "${name}_changes.firePropertyChange(\"${name}\", 
                                   oldvalue,
                                   value));"
   }]
}

/**
 * Gets the value of property \"${name}\"
 */
public ${type} get${Name}() {
  return this.${name};
}

/**
 * Registers a listener for property \"${name}\"
 */
public void add${Name}ChangeListener(PropertyChangeListener l) {
  ${name}_changes.addPropertyChangeListener(l);
}

/**
 * Removes a listener registered for property \"${name}\"
 */
public void remove${Name}ChangeListener(PropertyChangeListener l) {
  ${name}_changes.removePropertyChangeListener(l);
}\n

/* ************** End of Bean property *******************/\n
