
source [file join .. TclClass.tcl];
source [file join .. TclDecorator.tcl];
source [file join .. Indent.tcl];
source [file join .. Output.tcl];
source [file join .. Console.tcl];
source [file join .. Element.tcl];

proc Foo_123 {op args} {
  switch $op {
    get {
      switch [lindex $args 0] {
	property { 
	  # Console message "get property $args"; 
	  switch [lindex $args 1] {
	    abstract { return "1" }
	  }
	}
      }
    }
  }
}

class Test {

  extends Element;

  set o [new Test Foo_123];

  if { [$o hasProperty abstract] != 1 }    { error "Failed." }
  if { [$o getProperty abstract] != 1 }    { error "Failed." }
  if { ! [$o is abstract] } 		   { error "Failed." }
  if { [$o prop abstract] != "abstract " } { error "Failed." }
}
