/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  NotifyOob
  Package: conduits
  File:    NotifyOob.java
*/
package fi.hut.tcm.jacob.conduits;
/**
   NotifyOob
   
   
*/
public final class NotifyOob
  extends Object
  implements OutOfBand {

  /**
  */
  private Message request;
  
  /**
   */
  private int statusCode;
  

  /**
  */
  public NotifyOob(Message message,
		   int code)
    {
      //+ NotifyOob::NotifyOob(Message, code)
      request = message;
      statusCode = code;
      //- NotifyOob::NotifyOob(Message, code)
    }
  

  /**
  */
  public Message getMessage()
    {
      //+ NotifyOob::getMessage( )
      return request;
      //- NotifyOob::getMessage( )
    }
  
  
  /**
  */
  public void setMessage(Message message)
    {
      //+ NotifyOob::setMessage(Message)
      request = message;
      //- NotifyOob::setMessage(Message)
    }
  
  
  /**
  */
  public int getStatusCode()
    {
      //+ NotifyOob::getStatusCode( )
      return statusCode;
      //- NotifyOob::getStatusCode( )
    }

    
  /**
  */
  public void setStatusCode(int statusCode)
    {
      //+ NotifyOob::setStatusCode(int)
      this.statusCode = statusCode;
      //- NotifyOob::setStatusCode(int)
    }

    
} // NotifyOob
