/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  TimeoutFactory
  Package: conduits
  File:    TimeoutFactory.java
*/
package fi.hut.tcm.jacob.conduits;
import fi.hut.tcm.jacob.utility.RecyclingFactory;
/**
  TimeoutFactory
  
  
*/
final class TimeoutFactory
  extends RecyclingFactory {

  /**
  */
  public static final TimeoutFactory instance = new TimeoutFactory();
  
  /**
  */
  private TimeoutFactory() {
  
    //+ TimeoutFactory::TimeoutFactory( )
    super();
    //- TimeoutFactory::TimeoutFactory( )
  }
  
  
  /**
  */
  protected Object createObject() {
  
    //+ TimeoutFactory::createObject( )
    return new Timeout();
    //- TimeoutFactory::createObject( )
  }
  
  
} // TimeoutFactory


// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
