/**

    File:    IcmpBounceAdaptor.java

    This is a simple adaptor that will send a packet, intact,
    back up to the ICMP protocol.

    This adaptor is used for simple module testing.

    This adaptor is handmade, based on the IcmpEchoAnswerAdaptor.

*/
//package fi.hut.tcm.jacob.tcpip.icmp;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IcmpBounceAdaptor
    
    
*/
public class IcmpBounceAdaptor
  extends Adaptor {

    public void adapt(Message message) {
    //+ IcmpBounceAdaptor::adapt(Message)

      message.setMessenger(IcmpChecksumFromNetMessenger.instance);
      // The following seems necessary
      MessageTransporter mt =
	MessageTransporter.newMessageTransporter(sides[Side.A].getAttached(), message);

      SimpleScheduler.instance.makeRunnable(mt);
      
      System.out.println("Made new transporter in BounceAdaptor");
    //- IcmpEchoAnswerAdaptor::adapt(Message)
    }

}; //IcmpBounceAdaptor




