/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IcmpHeaderToNetMessenger (implementation)
    Package: icmp
    File:    IcmpHeaderToNetMessenger.java


*/
//package fi.hut.tcm.jacob.tcpip.icmp;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IcmpHeaderToNetMessenger
    
    <p>This is the messenger that contains the logic for ICMP messages
    going out to the network. Contains a method for calculating the
    checksum of this ICMP message and adds it to the message.
*/
public class IcmpHeaderToNetMessenger
  implements Messenger {
    /**
        There should exist only one <code>Messenger</code> of this kind.
    */
    public static IcmpHeaderToNetMessenger instance = new IcmpHeaderToNetMessenger();

    /**
        Method for applying a message to a state of a specific session.
                
        @param message  <code>Message</code>
        @param state  <code>State</code>
        @param session <code>Session</code>
    */
    public void apply(Message message, State state, Session session) {
    //+ IcmpHeaderToNetMessenger::apply(Message, State, Session)
      IcmpHeaderState stat = (IcmpHeaderState) state;
      // Do nothing right now:
      // stat.applyToNet(message, this);
    //- IcmpHeaderToNetMessenger::apply(Message, State, Session)
    }

}; //IcmpHeaderToNetMessenger

