/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  RecyclingFactory
  Package: utility
  File:    RecyclingFactory.java
*/
package fi.hut.tcm.jacob.utility;
/**
  RecyclingFactory
  
  
*/
public abstract class RecyclingFactory
  extends Object {

  /**
  */
  protected RecyclingFactory() {
  
    //+ RecyclingFactory::RecyclingFactory( )
    //- RecyclingFactory::RecyclingFactory( )
  }
  
  
  /**
  */
  public Object newObject() {
  
    //+ RecyclingFactory::newObject( )
    return createObject();	
    //- RecyclingFactory::newObject( )
  }
  
  
  /**
  */
  protected abstract Object createObject();
  
  
  
  
  /**
  */
  public void releaseObject(Object object) {
  
    //+ RecyclingFactory::releaseObject(Object)
    //- RecyclingFactory::releaseObject(Object)
  }
  
  
} // RecyclingFactory

