#
# Comment formatting
#

package provide Comment 0.1;

class Comment {

  import Indent;
  import Output;
  import sc_getPrefString;

  set cvs(1)       "XXX   %Z%%M% version %I% date:%G%"
  set copyright(1) [sc_getPrefString "CodeGen" "copyright_message" {}];

  staticmethod print {what {str {}}} {
    switch "$what" {
      begin       { Output print "/**";  Indent more; }
      end         { Indent less; Output print "*/"; }

      line	  { Output print "$str"; }
      text        { Output printText $str; }
      array       { print_array str; }

      cvs         { print_array cvs; }
      copyright   { print_array copyright; }
      description { print begin; print text $str; print end; }
    }
  }

  staticmethod print_array {name} {
    upvar $name array;
 
    foreach index [lsort [array names array]] {
      Output print "$array($index)";
    }
  }
}
