#
# Indent.tcl
#
# Indentation
#

package provide Indent 0.1;

class Indent {

  staticfield level  0;
  staticfield step   "  ";
  staticfield string "";
  
  staticmethod init {} {
    set level 0;
    set string "";
  }
  
  staticmethod get {} {
    return $string;
  }
  
  staticmethod more {} {
    incr level 1;
    append string $step;
    return $string;
  }
  
  staticmethod less {} {
    incr level -1;
    set string "";
    for {set i 0} {$i < $level} {incr i} {
      append string $step;
    }
    return $string;
  }
}  


