/**
 * Appends an object to be associated via $association
 * @param new$Name
 */
$static${visibility}void add${Name}($type new$Name) {
  if (${name}Count < $lowerbound) 
    throw new IllegalStateException("Uninitialized association");
  $name\[${name}Count++\] = new$Name;
}\n

/**
 * Appends an array of objects to be associated via $association
 * @param ${name}Array
 */
$static${visibility}void add${Name}($type\[\] ${name}Array) {
  if (${name}Count < $lowerbound) 
    throw new IllegalStateException("Uninitialized association");
  if (${name}Count + ${name}Array.length > $upperbound) {
    throw new ArrayIndexOutOfBoundsException("XXX");
  }
  System.arraycopy(${name}Array, 0, $name, 0, ${name}Array.length);
  ${name}Count += ${name}Array.length;
}\n
