/**
 * Appends an object to be associated via $association
 * @param index
 */
$static${visibility}void add${Name}($type value) {
  if (${name}Count < $lowerbound) 
    throw new IllegalStateException("Uninitialized association");
  if (${name}Count == $upperbound) {
    $type\[\] newArray = new $type\[${name}Count + $increment\];
    System.arraycopy($name, 0, newArray, 0, ${name}Count);
    $name = newArray;
  }
  $name\[${name}Count++\] = value;
}\n

/**
 * Appends an array of objects to be associated via $association
 * @param index
 */
$static${visibility}void add${Name}($type\[\] newValues) {
  if (${name}Count < $lowerbound) 
    throw new IllegalStateException("Uninitialized association");
  if (${name}Count == $upperbound) {
    $type\[\] newArray = new $type\[${name}Count + $increment\];
    System.arraycopy($name, 0, newArray, 0, ${name}Count);
    $name = newArray;
  }
  System.arraycopy(newValues, 0, $name, 0, newValues.length);
  ${name}Count += newValues.length;
}\n
