/**
 * Changes the object associated at the given index
 * @param index
 */
$static${visibility}void set${Name}(int index, $type new${Name}) {
  if (${name}Count < $lowerbound) 
    throw new IllegalStateException("Uninitialized association");
  if (index < 0 || index >= ${name}Count)
    throw new ArrayIndexOutOfBoundsException("XXX");
  $name\[index\] = newValue;
}\n

/**
 * Changes an array of objects associated at the given index
 * @param index
 */
$static${visibility}void set${Name}(int index, $type\[\] ${name}Array) {
  if (${name}Count < $lowerbound) 
    throw new IllegalStateException("Uninitialized association");
  if (index < 0 || index + ${name}Array.length >= ${name}Count)
    throw new ArrayIndexOutOfBoundsException("XXX");
  System.arraycopy(${name}Array, 0, $name + index, 0, ${name}Array.length);
}\n
