/* ****************** Bean property **********************/\n

/**
 * XXX
 */

${static}${visibility}${transient}${volatile}${type} ${name}${initialvalue};

private final PropertyChangeSupport ${name}_changes = 
  new PropertyChangeSupport(this);

private final VetoableChangeSupport ${name}_vetos = 
  new VetoableChangeSupport(this);

public void set${Name}($type value) {
  $type oldvalue = this.${name};
  [if { $type != $Type } {
     return "${name}_vetos.fireVetoableChange(\"${name}\", 
                                   new ${Type}(oldvalue), 
                                   new ${Type}(value));" } else {
     return "${name}_vetos.fireVetoableChange(\"${name}\", oldvalue, value));"
   }]
  this.${name} = value;
  [if { $type != $Type } {
     return "${name}_changes.firePropertyChange(\"${name}\", 
                                     new ${Type}(oldvalue), 
                                     new ${Type}(value));" } else {
     return "${name}_changes.firePropertyChange(\"${name}\", 
                                     oldvalue, 
                                     value));"
   }]
}

public ${type} get${Name}() {
  return this.${name};
}

public void add${Name}ChangeListener(PropertyChangeListener l) {
  ${name}_changes.addPropertyChangeListener(l);
}

public void remove${Name}ChangeListener(PropertyChangeListener l) {
  ${name}_changes.removePropertyChangeListener(l);
}

public void addVetoable${Name}ChangeListener(VetoableChangeListener l) {
  ${name}_changes.addVetoableChangeListener(l);
}

public void removeVetoable${Name}ChangeListener(VetoableChangeListener l) {
  ${name}_changes.removeVetoableChangeListener(l);
}\n

/* ************** End of Bean property *******************/\n
