
source "[file join .. TclClass.tcl]"
source "[file join .. TclDecorator.tcl]"

proc Test1_123456 {args} {
  return "Test_123456: $args";
}

proc Test3_123456 {args} {
  return "Test_123456: $args";
}

class Test1 {

  extends TclDecorator;

  puts "unknown: [info body unknown]";

  set o [new Test1 Test1_123456];

  if { [$o test] != "Test_123456: test" } { error "Failed." }
}

class Test2 {

  extends Test1;

}

interp alias {} Test3 {} Test2;

class Test {

  set o [new Test2 Test3_123456];

  puts "$o test";
}

