/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  Conduit
  Package: conduits
  File:    Conduit.java
*/
package fi.hut.tcm.jacob.conduits;
/**
  Conduit
  
  Conduit is an interface specifying the common behaviour for all conduits:
   Sessions, Muxes, Adaptors, ConduitFactories and Protocols.
*/
public interface Conduit {

  /**
  */
  public static final int A = 0;
  
  /**
  */
  public static final int B = 1;
  
  /**
  */
  public abstract Side getSide(int index);
  
  
  
  
  /**
  */
  public abstract int getSideCount();
  
  
  
  
  /**
  */
  public abstract Object clone()
    throws CloneNotSupportedException ;
  
  
  
  
} // Conduit


// +*************** UNUSED CODE ***************
//+ Conduit::clone( )
//- Conduit::clone( )
// -*************** UNUSED CODE ***************
