/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  MessageFactory
  Package: conduits
  File:    MessageFactory.java
*/
package fi.hut.tcm.jacob.conduits;
import fi.hut.tcm.jacob.utility.RecyclingFactory;
/**
  MessageFactory
  
  
*/
final class MessageFactory
  extends RecyclingFactory {

  /**
  */
  public static final MessageFactory instance = new MessageFactory();
  
  /**
  */
  private MessageFactory() {
  
    //+ MessageFactory::MessageFactory( )
    super();
    //- MessageFactory::MessageFactory( )
  }
  
  
  /**
  */
  protected Object createObject() {
  
    //+ MessageFactory::createObject( )
    return new Message();
    //- MessageFactory::createObject( )
  }
  
  
} // MessageFactory


// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
