/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  MessageTranspFactory
  Package: conduits
  File:    MessageTranspFactory.java
*/
package fi.hut.tcm.jacob.conduits;
import fi.hut.tcm.jacob.utility.RecyclingFactory;
/**
  MessageTranspFactory
  
  
*/
final class MessageTranspFactory
  extends RecyclingFactory {

  /**
  */
  protected static final MessageTranspFactory instance = new MessageTranspFactory();
  
  /**
  */
  private MessageTranspFactory() {
  
    //+ MessageTranspFactory::MessageTranspFactory( )
    super();
    //- MessageTranspFactory::MessageTranspFactory( )
  }
  
  
  /**
  */
  protected Object createObject() {
  
    //+ MessageTranspFactory::createObject( )
    return new MessageTransporter();
    //- MessageTranspFactory::createObject( )
  }
  
  
} // MessageTranspFactory


// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
