/**
  XXX   %Z%%M% version %I% date:%G%
  Component:  Side
  Package: conduits
  File:    Side.java
*/

package fi.hut.tcm.jacob.conduits;

/**
  Side
  
  
*/
public interface Side {

  /**
  */
  public static final int A = Conduit.A;
  
  /**
  */
  public static final int B = Conduit.B;
  
  /**
  */
  public abstract void attach(Side next)
    throws SideException, IllegalArgumentException ;
  
  /**
  */
  public abstract Side detach();
  
  /**
  */
  public abstract void accept(Visitor visitor)
    throws ConductingException ;
  
  /**
  */
  public abstract Conduit getConduit();
  
  /**
  */
  public abstract Side getAttached();
  
  /**
  */
  public abstract Side getNext();
  
  /**
   */
  public abstract void setMessenger(Messenger msgr);

  /**
  */
  public abstract Object clone()
    throws CloneNotSupportedException ;
  
} // Side

// +*************** UNUSED CODE ***************
//+ Side::getNext( )
//- Side::getNext( )
//+ Side::clone( )
//- Side::clone( )
// -*************** UNUSED CODE ***************
