/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  Terminator
  Package: conduits
  File:    Terminator.java
*/
package fi.hut.tcm.jacob.conduits;
/**
  Terminator
  
  Drops all messages that arrive.
*/
public final class Terminator
  extends Adaptor {

  /**
    Handles the received message by dropping it on the floor.
  */
  public void adapt(Message message) {
  
    //+ Terminator::adapt(Message)
    //- Terminator::adapt(Message)
  }
  
  
} // Terminator


// +*************** UNUSED CODE ***************
//+ Side::detach(Side)
//      Side side;
//      side = this.next;
//      this.next = null;
//      return side;
//- Side::detach(Side)
//+ Mux::detach(Object)
//- Mux::detach(Object)
// -*************** UNUSED CODE ***************
