/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IcmpChecksumSession (implementation)
    Package: icmp
    File:    IcmpChecksumSession.java


*/
// package fi.hut.tcm.jacob.tcpip.icmp;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IcmpChecksumSession
    
    <p>During this <code>Session</code>,<br>
    -the checksum for outgoing packets is calculated<br>
    -the checksum on incoming packets is validated. Packets with an invalid
    checksum are silently discarded.
*/
public class IcmpChecksumSession
  extends Session {

    /**
        Create the <code>Session</code>. 
        
        @param initialState    the beginning state
    */
    public IcmpChecksumSession(State initialState) {
    //+ IcmpChecksumSession::IcmpChecksumSession(State)
      super(initialState);
    //- IcmpChecksumSession::IcmpChecksumSession(State)
    }

}; //IcmpChecksumSession

